Subject: RE: GSMP/MSF Forum Joint editing session concerning contribution 14

From: [email-masked]
Date: Mon, 6 Mar 2000 14:52:29 -0600

Hi,

Yes, we are currently adding the material in.  The original thought had been
that an I-D was required, but given the press of time, we decided that your
email contribution was sufficiently explicit and substantive that there was
no real need to take the extra time involved in creating an I-d at this late
date.  We can discuss the changes once the are in the next version of the 
draft - both in Adelaide and on the list.

As for the TLV labels, while it might not be necessary to include the type
in
all cases, some of the labels that are currently being envisioned are
variable length and therefore require a length field.  Also, since it is 
possible to use different label encapsulations on a common port type, it
seems
advantageous to include a label type field.

As for the Mtype.  It is used to set the model the switch works under - in a
sense
it defines the context for the parameters being used. Your current proposal
affects 
only one model - the default.  If someone where to want to use, for example,
an 
explicit resource model then they would not be using the traffic blocks you
have proposed,
but would be using some other form and would probably even have a different
set of
resource commands defined using the commands space reserved for that
purpose.

Regards,

a.
-----------------------------------
avri doria
Office: +1 781 993 4645
Mobile: +1 781 308 7680                

> -----Original Message-----
> From: EXT Clint Bishard [mailto:[email-masked]]
> Sent: 06 March, 2000 2:53 PM
> To: [email-masked]
> Subject: RE: GSMP/MSF Forum Joint editing session concerning
> contribution 14
> 
> 
> Avri,
> 
> Thanks for the feedback.  Does your comment of accepting the 
> changes mean
> that you are working these into the latest GSMP draft (or I 
> guess actually
> updating it since the duel Service Selector was already in 
> the last draft).
> Some of the discussion was that a joint ID may need to be submitted to
> institute these changes.  Is this still necessary?
> 
> Concerning the TLV labels, is this necessary since the type 
> of label will
> already be known by the controller and switch given the type 
> of port that
> was defined?
> 
> I probably do not fully understand the MTYPE.  However, the concept I
> understood was that an MTYPE was defined for the switch, and then all
> connections were built given that MTYPE.  However, 
> connections are no longer
> built under this assumption.  Each connection message states 
> the connection
> parameters separately for each port and no parameters 
> regarding the switch
> type are conveyed in the connection messages.  Doesn't this 
> now negate the
> need for a MTYPE being defined?
> 
> Thanks for your work Avri,
> Clint

---

From: Clint Bishard <[email-masked]>
Date: Mon, 06 Mar 2000 15:24:54 -0600

Great, I will consider it done.

Thanks,
Clint

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
[email-masked]
Sent: Monday, March 06, 2000 2:52 PM
To: [email-masked]
Subject: RE: GSMP/MSF Forum Joint editing session concerning
contribution 14

Hi,

Regards,

a.